product

Allows your to scrape the results from Amazon Product search query via ScrapeIN service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint

The /product API endpoint allows you to send a GET request to retrieve the results of your Amazon Product query. This enables you to fetch the product details from the product page of a single product on Amazon and specify the product you are interested in and retrieve its relevant information. By providing a query you can retrieve details such as the product title, description, price, ratings, reviews, and more.

The query helps you narrow down your search and retrieve specific product details that you require for analysis, price comparison, inventory management, or other purposes.

Authentication

API-KEY. Use your API-KEY for authentication.

Output format

html, json, csv

🚧

Required Parameters

To specify the product, you have the following options:

  1. Use the asin and amazon_domain parameters together. When using the ASIN, always specify the corresponding Amazon domain, ensuring that you are retrieving information from the correct regional version of Amazon.
  2. Provide the url parameter containing the link to an Amazon product page. If the url parameter is used, the asin and amazon_domain parameters will be disregarded.
  3. Combine the gtin, isbn, upc, ean, and amazon_domain parameters. When using these codes, always specify the appropriate Amazon domain from the code lookup, ensuring that you are retrieving information about the specific product from the correct regional version of Amazon based on the provided code. Similarly, if the gtin and amazon_domain parameters are provided, the url parameter will also be ignored.

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. For more details click here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

Query Params
string
enum
Defaults to amazon.com

Used to retrieve search results from. Check the Supported Amazon Domains for a complete list of domains supported. Please note that if you provide the asin and amazon_domain parameters, the url parameter will be ignored.

string
Defaults to B08WGFKSMW

Used for fetching product details. Remember to provide both the asin and amazon_domain parameters. Please note that if you provide the asin and amazon_domain parameters, the url parameter will be ignored.

string

GTIN is used for fetching results. ScrapeIN internally converts these codes to an Amazon ASIN and retrieves the corresponding results from Amazon. Remember to use the gtin and amazon_domain parameters together. Please note that if you provide both the gtin and amazon_domain parameters, the url parameter will be ignored. Additionally, if the gtin and asin parameters are both provided, the gtin parameter will be disregarded as the system prioritizes the asin parameter over the gtin parameter to ensure accurate and targeted retrieval of results.

string

Specifies the URL to be scraped instead of using the asin parameter to perform a search query. The url parameter must be URL-encoded. Please note that if you provide the url parameters, the asin and amazon_domain parameters or gtin and amazon_domain parameters will be ignored.

boolean

By default, ScrapeIN caches the GTIN-to-ASIN mapping for 2 months. If you want to perform a fresh GTIN lookup and suspect the existing mapping is outdated, you can use the skip_gtin_cache=true request parameter. Please keep in mind that using skip_gtin_cache=true will deduct 2 requests from your balance instead of 1.

boolean

When set to true is used to get more detailed information about product ratings and a summary of what people are saying in the reviews. But remember, it will cost you 2 Requests instead of 1 because it involves extra work for ScrapeIN to gather that information.

boolean

This parameter is used to determine whether to include the HTML of the A-Plus description section, which is typically found under the heading "From the manufacturer" in the response.

boolean

Used to specify whether to include the raw HTML for the book_description in the response. By default, it is set to false. It only applies to ASINs that have a book_description available in their response. Please note that including the raw HTML can increase the size of the response.

boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum
Defaults to json

The format of the returned results can be specified using the output parameter. By default, the results are returned in structured JSON format. You can also choose to receive the raw HTML by setting the parameter to html, or the results in CSV format by setting it to csv.

Allowed:
string
enum

Used to determine the location it uses when fetching pages from Amazon. It helps show how a product appears on amazon.com to customers in different countries. It can also identify cross-border shipping information and opportunities. To find the available values for customer_location, refer to the Locations reference. If no customer_location value is provided, the API will automatically make the request from the country corresponding to the Amazon page requested. For example, if the page is from amazon.de, the default customer_location will be "Germany."

string
enum

Used to determines the language in which the API requests the Amazon page to be displayed. This allows you to choose the preferred language for viewing the page. You can refer to the supported Languages list provided by Amazon to see the languages that are supported.

string
enum

Used to determine the currency in which the API requests the Amazon page to display prices and monetary values. By specifying the currency, you can view the prices on the page in your preferred currency. You can refer to the supported Currencies list for each Amazon domain to see the currency values that are supported.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

string
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json